# 0. hg clone http://bitbucket.org/DanC/palmagent/
# 1. python dangerSync.py --prod --user=XXXX --passwd=YYYY --get=note
# 2. python dangerSync.py --xml note > notes.rdf
# 3. remove "<note>" elements (keep their contents)
# 4. python notes2ef.py notes.rdf

import sys
from rdflib.Graph import Graph
from appscript import app
from datetime import datetime

g = Graph()
g.parse(sys.argv[1])

query = g.query(
    '''SELECT ?body ?update_time
       WHERE { ?q danger:body ?body .
               ?q danger:update_time ?update_time . }''',
    initNs=dict(danger='http://dev.w3.org/2001/palmagent/danger#'))

library = app(id='com.c-command.EagleFiler').library_documents[1]

for body, update_time in query:
    update_time = datetime.strptime(update_time, '%Y%m%dT%H%M%SZ')
    records = library.import_(plain_text=body)
    records[0].creation_date.set(update_time)
    records[0].modification_date.set(update_time)
